#ifndef EVALTHREAD_H
#define EVALTHREAD_H

#include <QThread>
#include <giac.h>

using namespace giac;

class EvalThread : public QThread
{
    Q_OBJECT
public:
    EvalThread(gen & g, context * contextptr, QObject *parent = 0);
    void run();
    gen getGen();

signals:
    void error(QString what);
    void calcul_finished();

public slots:

private:
    gen m_g;
    context * m_contextptr;

};

#endif // EVALTHREAD_H
